itpp::Rayleigh_RNG Class Reference
Base Module » Random Number Generation

Rayleigh distribution. More...

`#include <itpp/base/random.h>`

## Public Member Functions

| Rayleigh_RNG (double sigma=1.0)
| Constructor. Set sigma.
void | setup (double sigma)
| Set sigma.
double | get_setup ()
| Get sigma.
double | operator() ()
| Get one sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.

## Detailed Description

Rayleigh distribution.

Definition at line 733 of file random.h.

## Constructor & Destructor Documentation

## Rayleigh_RNG()

itpp::Rayleigh_RNG::Rayleigh_RNG | ( | double | sigma = `1.0` | ) |

Constructor. Set sigma.

Definition at line 865 of file random.cpp.

References setup().

## Member Function Documentation

## setup()

void itpp::Rayleigh_RNG::setup | ( | double | sigma | ) |

inline

Set sigma.

Definition at line 739 of file random.h.

Referenced by Rayleigh_RNG().

## get_setup()

double itpp::Rayleigh_RNG::get_setup | ( |  | ) |

inline

Get sigma.

Definition at line 741 of file random.h.

## operator()() [1/3]

double itpp::Rayleigh_RNG::operator() | ( |  | ) |

inline

Get one sample.

Definition at line 743 of file random.h.

## operator()() [2/3]

vec itpp::Rayleigh_RNG::operator() | ( | int | n | ) |

Get a sample vector.

Definition at line 870 of file random.cpp.

## operator()() [3/3]

mat itpp::Rayleigh_RNG::operator() | ( | int | h,
|  | int | w
| ) |  |

Get a sample matrix.

Definition at line 880 of file random.cpp.

The documentation for this class was generated from the following files:

- itpp/base/random.h
- itpp/base/random.cpp

Generated on Mon Jun 10 2024 11:49:39 for IT++ by Doxygen 1.9.8